<%@ Page Language="C#" AutoEventWireup="true" Inherits="_Default" Codebehind="Default.aspx.cs" %>

<%@ Register Assembly="MindFusion.Diagramming.WebForms" Namespace="MindFusion.Diagramming.WebForms" TagPrefix="ndiag" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
  <title>MindFusion NetDiagram Example - Map</title>
  <link href="StyleSheet.css" rel="stylesheet" />
  <link href="common/jquery-ui.min.css" rel="stylesheet" />
  <link href="common/samples.css" rel="stylesheet" />
  <script type="text/javascript" src="funcs.js"></script>
  <script type="text/javascript" src="common/jquery.min.js"></script>
  <script type="text/javascript" src="common/jquery-ui.min.js"></script>
  <script type="text/javascript" src="common/samples.js"></script>
  <style type="text/css">
    .inline
    {
    	display: inline-block;
    }
    .slider
    {
    	width: 120px;
    	margin-top: 4px;
    }
  </style>
</head>
<body >
<form id="form1" runat="server">

  <asp:ScriptManager ID="ScriptManager1" runat="server" />

  <div id="header" style="height: 49px;">
    <div style="float: left; margin-right: 15px;">
		  <span class="label">View as:</span>
      <asp:LinkButton runat="server" ID="btnImageMap" Text="Image map" OnClick="OnImageMap" />
      <asp:LinkButton runat="server" ID="btnCanvas" Text="HTML5 canvas" OnClick="OnCanvas" />
    </div>
    <div style="float: left; margin-right: 15px;">
		  <span class="label">Zoom:</span>
      <div>
        <input id="ButtonZoomOut" type="button" value="&mdash;" onclick="zoomOut();"/>
        <span id="currentZoom" style="display: inline-block; width: 25px; text-align: center;"></span>
        <input id="ButtonZoomIn" type="button" value="+" onclick="zoomIn();"/>
      </div>
    </div>
    <div style="float: left; margin-right: 15px;">
		  <div><span class="label inline">Shape size:</span>&nbsp;<span id="shapeSizeLbl">1</span></div>
      <div id="shapeSize" class="slider"></div>
      <div>
				<span style="float: left; position: relative;">1</span>
				<span style="float: right; position: relative;">10</span>
      </div>
    </div>
    <div style="float: left; margin-right: 15px;">
		  <asp:CheckBox ID="CheckBoxImageVisible" runat="server" class="label" Text="Image" onclick="setImageVisibility(this.checked)" />
      <span class="label inline" style="margin-right: 5px;">URL:</span><input id="TextBoxImageUrl" type="text" value="<%= diagramView.Diagram.BackgroundImageUrl%>" onblur="imageUrlChange(this)" />
    </div>
    <div style="float: left; margin-top: 17px;">
      <asp:Button ID="ButtonSave" runat="server" OnClick="Button1_Click" Text="Save" />
    </div>
    <div style="float: right; margin-right: 5px; margin-top: 17px;">
      <button id="expandButton" onclick="onExpandCollapse()">&gt;</button>
    </div>
  </div>

  <div id="info" style="top: 60px; bottom: 24px;">
    <div id="infoTab" style="padding: 10px;">
      <h1>About this sample</h1>
      <p>This sample demonstrates a basic urban transportation map editor. The map is initially represented by a static image, which can be replaced or toggled off. The stations can be created by clicking on the map. Existing stations can be linked by clicking on the origin station with the mouse and dragging a link to the destination. The name of a station can be changed by double clicking on the station symbol.</p>
      <p>The map can be zoomed in and out for greater precision. The map can be scrolled by using the scrollbars or by holding down the ALT key and dragging with the mouse. To save the changes to the server press the Save button. The form is posted together with the currently displayed diagram. The diagram data is saved on the server and is sent back to the browser. If you need to start over, delete the file saved.xml in the application directory.</p>
    </div>
  </div>

  <div id="content" style="top: 60px; bottom: 24px;">
    <ndiag:DiagramView ID="diagramView" runat="server" style="position: absolute; left: 0px; top: 0px; right: 0px; bottom: 0px;"
      ClientSideMode="Canvas" BorderColor="Black"
      AppletStartedScript="onAppletStarted"
      ClickedScript="onDiagramClicked"
      NodeDoubleClickedScript="onNodeDoubleClicked"
      LinkCreatedScript="onLinkCreated"
      LinkDoubleClickedScript="onLinkDoubleClicked">
      <Diagram
        AllowSplitLinks="True"
        AlignToGrid="False"
        ShadowsStyle="None"
        DynamicLinks="True"
        ShapeHandlesStyle="MoveOnly"
        AllowSelfLoops="False"
        BoundsPen="n:0/#FFFF0000/0.1/0/0//0/0/10/" 
        SelectAfterCreate="False" />
    </ndiag:DiagramView>
  </div>

  <div id="footer" style="height: 24px;">
    <span id="copyright"></span>
  </div>

</form>

<script type="text/javascript">

  $(function() {
    $('#shapeSize').slider({
      min: 1,
      max: 10,
      change: function(event, ui) {
        $('#shapeSizeLbl').html(ui.value);
        setShapeSize(ui.value);
      }
    });
  });

</script>

</body>
</html>
